var inquirer = require("inquirer");
var fileExists = require('file-exists');

module.exports = {
    translate: {
        'config.tmpl': './pz-templates/config.json',
		'package.tmpl': './pz-templates/package.json',
		'.gitignore': './pz-templates/.gitignore'
    },
    engine: 'lodash',
	beforePrompt: function(v, ready) {
		if(fileExists(v.translate['config.tmpl'])) {
			inquirer.prompt([
				{
					'name': 'overwrite',
					'message': 'Config file already exists. Overwrite?',
					'type': 'confirm'
				}
			], function( answers ) {
				if(answers.overwrite) {
					ready();
				}
			});	
		} else {
			ready();
		}
	},
	beforeRender: function(v, ready) {
		v.viewModel.package_name = process.cwd().replace(/[^a-zA-Z0-9]+/g, '-').toLowerCase();
		ready();
	},	
    prompts: [],

};